package user

import (
	"net/http"

	"microGame/app/usercenter/cmd/api/internal/logic/user"
	"microGame/app/usercenter/cmd/api/internal/svc"
)

// WsHandler ws
func WsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := user.NewWsLogic(r.Context(), svcCtx)
		l.Ws(w, r)
	}
}
